KausateKausate Docs
List documents
Viewing API version 2026-05-01. View the latest version.

List documents: order status

Get the status of a document list order and, once complete, its result.

GET
/v2/companies/documents/list/{orderId}
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Path Parameters

orderId*string

Order ID.

Query Parameters

customerId?|

Optional customer ID for validation

Header Parameters

Kausate-Version?string
Default"2026-05-01"
Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl "https://api.kausate.com/v2/companies/documents/list/string" \  -H "X-API-Key: $KAUSATE_API_KEY" \  -H "Kausate-Version: 2026-05-01"
{
  "orderId": "string",
  "kausateId": "string",
  "companyName": "string",
  "customerReference": "string",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "customerId": "string",
  "status": "running",
  "requestTime": "2019-08-24T14:15:22Z",
  "responseTime": "2019-08-24T14:15:22Z",
  "result": {
    "type": "listDocuments",
    "documents": [
      {
        "kausateDocumentId": "string",
        "title": "string",
        "documentType": "string",
        "publicationType": "string",
        "publicationDate": "string",
        "fileType": "string",
        "source": "string"
      }
    ],
    "totalCount": 0,
    "indexedAt": "2019-08-24T14:15:22Z",
    "expiresAt": "2019-08-24T14:15:22Z"
  },
  "error": "string",
  "code": "string",
  "currentActivity": "string",
  "waitingMessage": "string",
  "cachedOrder": false
}
{
  "detail": "Invalid company ID format",
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "API key is required",
  "code": "auth.unauthorized",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Invalid API key",
  "code": "auth.forbidden",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Order not found",
  "code": "resource.not_found",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": [
    {
      "loc": [
        "body",
        "kausateId"
      ],
      "msg": "Field required",
      "type": "missing"
    }
  ],
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "The data source is rate-limiting requests right now, please try again later",
  "code": "source.rate_limited",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "An unexpected error occurred. If this persists, please contact support@kausate.com",
  "code": "internal.unexpected",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "This capability is offered for the requested jurisdiction but is not usable right now because of a fault on our side. Please contact support@kausate.com",
  "code": "capability.not_available",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Network error while reaching the data source",
  "code": "source.network_error",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Data source temporarily unavailable",
  "code": "source.unavailable",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}

Last updated on